%include lhs2TeX.fmt
This is to demonstrate the new code mode.
We can use formatting instructions in code mode, too,
for instance to support template Haskell:

%format splice(a) = "$(" a ")"
%format out = "putStrL"
%format hello = "'dHello'd"
%format flip(a)(b) = b ^^ a
%format ^^ = " "

\begin{code}
main = flip(hello)(out)
\end{code}

